> ## Documentation Index
> Fetch the complete documentation index at: https://firecrawl-research-index-life-sciences-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# エージェント

> Firecrawl API キーが必要な AI エージェントの方は、自動オンボーディング手順について [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) を参照してください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json POST /agent
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /agent:
    post:
      tags:
        - Agent
      summary: エージェントによるデータ抽出タスクを開始する
      operationId: startAgent
      requestBody:
        content:
          application/json:
            schema:
              properties:
                maxCredits:
                  description: >-
                    このエージェントタスクで使用するクレジットの最大値です。未設定の場合、デフォルトは2500です。2,500を超える値は、常に有料リクエストとして課金されます。
                  type: number
                model:
                  default: spark-1-mini
                  description: >-
                    エージェントタスクで使用するモデルを指定します。デフォルトの spark-1-mini はコストを約 60%
                    削減でき、spark-1-pro はより複雑なタスク向けに高い精度を提供します。
                  enum:
                    - spark-1-mini
                    - spark-1-pro
                  type: string
                prompt:
                  description: 抽出するデータ内容を指定するプロンプト
                  maxLength: 10000
                  type: string
                schema:
                  description: 抽出データを構造化するためのオプションの JSON スキーマ
                  type: object
                strictConstrainToURLs:
                  description: true の場合、エージェントは urls 配列で指定された URL にのみアクセスします
                  type: boolean
                urls:
                  description: エージェントのアクセス先を制限するための任意のURLリスト
                  items:
                    format: uri
                    type: string
                  type: array
              required:
                - prompt
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    type: string
                  success:
                    type: boolean
                type: object
          description: エージェントタスクが正常に開始されました
        '402':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Payment required to access this resource.
                    type: string
                type: object
          description: お支払いが必要です
        '429':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Rate limit exceeded.
                    type: string
                type: object
          description: リクエストが多すぎます
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````